WordPress.org

Support

Support » Plugins and Hacks » [Resolved] [Plugin: WP Updates Notifier] Version 1.1 breaks link between WP plugin directory

[Resolved] [Plugin: WP Updates Notifier] Version 1.1 breaks link between WP plugin directory

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author Scott Cariss
    Member

    @l3rady

    I cannot reproduce your problem…

    Can you give more info on your problem?

    katart17
    Participant

    @katart17

    I’ve found this issue to be a little spotty. Some of my installs seem to be working correctly now. I’ll keep you posted if I see this problem again.

    I did recieve the following message when I have PHP Error messages enabled:

    Fatal error: Cannot redeclare plugins_api() (previously declared in /xxxxxx/wp-admin/includes/plugin-install.php:29) in /xxxxxx/wp-admin/includes/plugin-install.php on line 57

    Plugin Author Scott Cariss
    Member

    @l3rady

    My plugin makes sure that plugin-install.php is loaded using require_once() so if the file has already been required it wont load it again. The error above is happening because the plugin-install.php file has been loaded twice hence trying to redeclare the function plugins_api() again. I’ve looked through WP core and all occurrences of loading plugin install use _once so its not WP core that is causing the problem.

    This would point that there is another plugin that is loading the plugin-install.php but isn’t loading it correctly. Have you got any other plugins that deal with plugin updates/tracking?

    Plugin Author Scott Cariss
    Member

    @l3rady

    @katart17 can you try with version 1.2 that I just released?

    I think some left over code from the last version was causing this problem.

    @scott, I’ve been having the same problem, and I can confirm that it went away with the 1.2 release. Thanks!

    katart17
    Participant

    @katart17

    v1.2 fixes the problem. Thanks

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘[Resolved] [Plugin: WP Updates Notifier] Version 1.1 breaks link between WP plugin directory’ is closed to new replies.